<?php

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');

class MenuRandomPhoto_maintain extends PluginMaintain
{
	private $installed = false;
	
	private $default_conf = array(
		'height' => 150,
		'square' => true,
		'randompicture_preload' => 25,     // number preloaded random pictures
		'title' => 'A random photo',
		'delay' => 4000,
		'apply_to_albums' => 'all',
	);
	
	function __construct($plugin_id)
	{
		parent::__construct($plugin_id);
	}
	
	function install($plugin_version, &$errors=array())
	{
		global $conf;
	
		if (empty($conf['MRP']))
		{
			$conf['MRP'] = serialize($this->default_conf);
			conf_update_param('MRP', $conf['MRP']);
		}
		else
		{
			$new_conf = is_string($conf['MRP']) ? unserialize($conf['MRP']) : $conf['MRP'];
		
			$conf['MRP'] = serialize($new_conf);
			conf_update_param('MRP', $conf['MRP']);
		}

		// add a new column to existing CATEGORIES table, if it doesn't already exist
		$result = pwg_query('SHOW COLUMNS FROM `'.CATEGORIES_TABLE.'` LIKE "menurandomphoto_active";');
		if (!pwg_db_num_rows($result))
		{
			pwg_query('ALTER TABLE `'.CATEGORIES_TABLE.'` ADD `menurandomphoto_active` enum(\'true\', \'false\') default \'false\';');
		}
	
		$this->installed = true;
	}
	
	function activate($plugin_version, &$errors=array())
	{
		if (!$this->installed)
		{
			$this->install($plugin_version, $errors);
		}
	}
	
	function deactivate()
	{
	}
	
	function uninstall()
	{
		conf_delete_param('MRP');
	    // delete field
    	pwg_query('ALTER TABLE `'. CATEGORIES_TABLE .'` DROP COLUMN `menurandomphoto_active`;');
	}
}

?>
